For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet a counterpart's addresses
      • POSTCreate a counterpart address
      • GETGet a counterpart's address
      • DELDelete a counterpart's address
      • PATCHUpdate a counterpart's address
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonCounterpart addresses

Create a counterpart address

POST
/counterparts/:counterpart_id/addresses
POST
/v1/counterparts/:counterpart_id/addresses
$curl -X POST https://api.sandbox.monite.com/v1/counterparts/counterpart_id/addresses \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "city": "Berlin",
> "country": "AF",
> "line1": "Flughafenstrasse 52",
> "postal_code": "10115"
>}'
1{
2 "id": "id",
3 "city": "Berlin",
4 "counterpart_id": "counterpart_id",
5 "country": "AF",
6 "line1": "Flughafenstrasse 52",
7 "postal_code": "10115",
8 "line2": "line2",
9 "state": "state"
10}
Was this page helpful?
Previous

Get a counterpart's address

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

counterpart_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
citystringRequired<=255 characters
City name.
countryenumRequired

Two-letter ISO country code (ISO 3166-1 alpha-2).

line1stringRequired<=255 characters
Street address.
postal_codestringRequired<=255 characters
ZIP or postal code.
line2stringOptional<=255 characters

Additional address information (if any).

statestringOptional<=255 characters

State, county, province, prefecture, region, or similar component of the counterpart’s address. For US counterparts, state is required and must be a two-letter USPS state abbreviation, for example, NY or CA.

Response

Successful Response
idstringformat: "uuid"
Unique ID of the address in the system
citystring<=255 characters
City name.
counterpart_idstringformat: "uuid"
ID of the counterpart that owns the address.
countryenum

Two-letter ISO country code (ISO 3166-1 alpha-2).

line1string<=255 characters
Street address.
postal_codestring<=255 characters
ZIP or postal code.
line2string<=255 characters

Additional address information (if any).

statestring<=255 characters
State, region, province, or county.

Errors

401
Post Counterparts ID Addresses Request Unauthorized Error
403
Post Counterparts ID Addresses Request Forbidden Error
404
Post Counterparts ID Addresses Request Not Found Error
422
Post Counterparts ID Addresses Request Unprocessable Entity Error
429
Post Counterparts ID Addresses Request Too Many Requests Error